curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/tickets/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "my_unique_property_name",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Aktualisieren Sie einen Batch mit Tickets nach ID („ticketId“) oder nach einem eindeutigen Eigenschaftswert („idProperty“). Bereitgestellte Eigenschaftswerte werden überschrieben. Schreibgeschützte und nicht vorhandene Eigenschaften führen zu einem Fehler. Eigenschaftswerte können durch Übergabe einer leeren Zeichenfolge gelöscht werden.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/tickets/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "my_unique_property_name",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
Ein öffentliches Objekt-Batch-Antwortobjekt
Der Zeitstempel, wann die Batch-Verarbeitung abgeschlossen war (Format ISO 8601).
Show child attributes
Der Zeitstempel, wann die Batch-Verarbeitung gestartet wurde (Format ISO 8601).
Der Status der Batch-Verarbeitungsanfrage. Der erwartete Wert ist „COMPLETE“.
CANCELED, COMPLETE, PENDING, PROCESSING Ein Objekt mit relevanten Links im Zusammenhang mit der Batch-Anfrage.
Show child attributes
Der Zeitstempel, wann die Batch-Anfrage ursprünglich gestellt wurde (Format ISO 8601).